## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.9

Main Page | Class Hierarchy | Alphabetical List | Class List | File List | Class Members | File Members | Related Pages

# XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackEntryType Struct Reference

Collaboration diagram for XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackEntryType:

[legend]
List of all members.

## Public Member Functions

- NavigatorStackEntryType (XercesWrapperNavigator *theNavigator=0, XalanNode *theNode=0)

## Public Attributes

- XercesWrapperNavigator * m_navigator
- XalanNode * m_node

## Constructor & Destructor Documentation

XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackEntryType::NavigatorStackEntryType | ( | XercesWrapperNavigator * | theNavigator = 0,
|  | XalanNode * | theNode = 0
| ) |

## Member Data Documentation

XercesWrapperNavigator* XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackEntryType::m_navigator

XalanNode* XercesDocumentWrapper::BuildWrapperTreeWalker::NavigatorStackEntryType::m_node

The documentation for this struct was generated from the following file:

- XercesDocumentWrapper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.9 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.